package com.ghost.technic.server.card.effect;

import com.ghost.technic.server.Player;
import com.ghost.technic.server.card.playable.usable.impl.CreatureCard;
import com.ghost.technic.server.game.GameState;

public interface ConstraintEffect {
    boolean canReap(CreatureCard creature, Player controller, GameState gameState);
    boolean canFight(CreatureCard creature, Player controller, GameState gameState);
    boolean canUse(CreatureCard creature, Player controller, GameState gameState);
}
